<!DOCTYPE html>
<html lang="fr">
    <head>
        <title>Création compte</title>
        <meta charset="UTF-8">
        <meta name="keywords" content="SportTrack">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Page d'inscription sur SportTrack">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet"> <!-- this is the bootstrap library import -->
        <link rel="stylesheet" href="style.css" /><!--this is the link to the css stylesheet-->
    </head>
    
    <body>
        <header> <!--Header that contain the navbar and the main title -->
            <div class="container-fluid p-3 custom-bg text-white text-center" >
                <h1>Sport Track</h1> 
                <p>Bienvenue ! Inscrivez-vous sur SportTrack</p>
            </div>
            <nav class="navbar navbar-expand-sm nav-bg navbar-dark"> <!--Navbar allowing to naviguate between the pages-->
                <a id="compte-link" class="navbar-brand">Compte</a>
                <div class="collapse navbar-collapse" id="collapsibleNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="chargementfichier.html">Activité</a><!--link to the "Activité" page-->
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="connexion.html">Connexion</a><!--link to the "Connexion" page-->
                    </li> 
                    <li class="nav-item active">
                        <a class="nav-link" href="inscription.html">Inscription</a><!--link to the "Inscription" page-->
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="modification.html">Modification</a><!--link to the "Modification" page-->
                    </li> 
                </ul>
                </div>  
            </nav>
        </header>
        <main id="main-inscription">
            <div class="center-form">
                <form id="register" action="/index.html">
                    <div class="form-container">
                        <h2>Inscrivez-vous</h2>
                        <fieldset>
                            <div class="form-group row"> <!--The row class is used to hold columns in it  -->
                                <label for="first-name" class="col-sm-3 col-form-label" >Nom</label><!--The col-sm-3 class define the space the label should take inside the row-->
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Nom" type="text" required /><!--The placeholder is an attribute allowing to put inside the input what is expected ; required is used to obligate the user to answer -->
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="last-name" class="col-sm-3 col-form-label" >Prénom</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Prénom" type="text" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="date" class="col-sm-3 col-form-label" >Date de naissance</label>
                                <div class="col-sm-9">
                                    <input class="form-control" type="date" required /><!--The date type requires the user to enter a date-->
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="taille" class="col-sm-3 col-form-label" >Taille</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Taille (cm)" type="number" pattern="[0-9]{3}" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="poids" class="col-sm-3 col-form-label" >Poids</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Poids (kg)" type="number" pattern="[0-9]{3}" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="sexe" class="col-sm-3 col-form-label" >Sexe</label>
                                <div class="col-sm-9">
                                    <select class="form-control"><!--select is used to add a list from which the user can pick his answer-->
                                        <option value="">(Choisissez en un)</option>
                                        <option value="1">Femme</option>
                                        <option value="2">Homme</option>
                                        <option value="3">Personne non binaire</option>
                                        <option value="4">Préfère ne pas répondre</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="email" class="col-sm-3 col-form-label">Email</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="email@example.com" type="email" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="new-password" class="col-sm-3 col-form-label" >Mot de Passe</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Mot de Passe" type="password" pattern="[a-zA-Z0-9]{8,}" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="new-password" class="col-sm-3 col-form-label">Confirmez votre mot de passe</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Confirmez votre mot de passe" type="password" pattern="[a-zA-Z0-9]{8,}" required /><!--pattern accepts only passwords with 8+ chars, with at least one lowercase, uppercase and digits-->
                                </div>
                            </div>
                        </fieldset>
                        <div style="margin-top: 10px; text-align: center;"><!--Div allowing users who already have an account to acess the connexion page easily-->
                            <button class="form-control" type="submit" value="Submit">S'inscrire</button>
                            <p>Vous êtes déjà inscrit ? <a href="connexion.html">Connectez-vous !</a></p>
                        </div>
                    </div>
                </form>
            </div>
        </main>
    </body>
</html>